> For the complete documentation index, see [llms.txt](https://docs.getblock.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getblock.io/api-reference/dash-dash/dash_listunspent.md).

# listunspent {disallowed} - Dash

#### Parameters

`Minimum Confirmations` - number (int)

Optional.

The minimum number of confirmations the transaction containing an output must have in order to be returned. Use 0 to return outputs from unconfirmed transactions. Default is 1.

`Maximum Confirmations` - number (int)

Optional.

The maximum number of confirmations the transaction containing an output may have in order to be returned. Default is 9999999 (\~10 million).

`Addresses` - array

Optional.

If present, only outputs which pay an address in this array will be returned.

`Include Unsafe` - bool

Optional.

Include outputs that are not safe to spend . See description of safe attribute below. Default is true.

`Query Options` - json

Optional.

JSON with query options. Available options: - minimumAmount: Minimum value of each UTXO in DASH - maximumAmount: Maximum value of each UTXO in DASH - maximumCount: Maximum number of UTXOs - minimumSumAmount: Minimum sum value of all UTXOs in DASH - cointType: Filter coinTypes as follows: - - 0 = ALL\_COINS, - - 1 = ONLY\_FULLY\_MIXED, - - 2 = ONLY\_READY\_TO\_MIX, - - 3 = ONLY\_NONDENOMINATED, - - 4 = ONLY\_MASTERNODE\_COLLATERAL, - - 5 = ONLY\_COINJOIN\_COLLATERAL

#### Request

```java
curl --location --request POST 'https://go.getblock.io/<ACCESS-TOKEN>/' \
--header 'Content-Type: application/json' \ 
--data-raw '{"jsonrpc": "2.0",
"method": "None",
"params": [null, null, [{"name": "address", "type": "string (base58)", "description": ["A P2PKH or P2SH address"], "value": null}], null, null],
"id": "getblock.io"}'
```

#### Response

```java
{
    "result": "null",
    "id": "getblock.io",
    "status_code": 405,
    "message": "Method not allowed"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getblock.io/api-reference/dash-dash/dash_listunspent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
